/** \file mei_cpe_drv.h
    \brief This file contains documentation, structure definition and
           description of the MEI Driver for VDSL platforms.
*/

/*----------------------------------------------------------------------------------------------
                   Detailed description for the mainpage
------------------------------------------------------------------------------------------------*/

/**\mainpage
   <B>"MEI CPE Device Driver" </B>\n
   \n

   \n\n
   \section Purpose Purpose
   This document describes the MEI Driver of the DSL CPE PHY Subsystem.
   \n

   \section Software Overview
   The complete software stack that is used for the DSL PHY Subsystem contains
   multiple layers and functional blocks within that layers.
   The figure below shows the block diagram of the different logical software
   modules of the DSL PHY Subsystem software.
   \n
   The following major block exists
   - xDSL Firmware, running within the device (not in the scope of this document)
   - Stacked embedded drivers
   - Embedded Applications (not in the scope of this document)
   - PC Applications (optional and not in the scope of this document)
   \n

   \n\n\n
   <center>
   <B>MEI CPE Driver Software Structure</B>
   \n
   \n
   \image html mei_cpe_drv_SW_structure_overview.jpg
   </center>
*/


/*----------------------------------------------------------------------------------------------
             Definition of the Doxygen documentation structure
------------------------------------------------------------------------------------------------*/










